/*
 * Funkcje obsugi przerwa
 *
 *  Created on: 11 lis 2015
 *      Author: Pawe
 */
/*******************************************************************************************************************************
 * 								Import bibliotek standardowych oraz TivaWare Peripheral Library
 ******************************************************************************************************************************/
#include <stdint.h>
#include <stdbool.h>
#include <math.h>
#include "Init.h"
#include "MCP9803.h"
#include "Keyboard.h"
#include "inc/hw_memmap.h"
#include "inc/hw_types.h"
#include "inc/hw_i2c.h"
#include "inc/hw_gpio.h"
#include "inc/hw_uart.h"
#include "inc/hw_ints.h"
#include "utils/uartstdio.h"
#include "inc/hw_nvic.h"
#include "driverlib/interrupt.h"
#include "driverlib/sysctl.h"
#include "driverlib/gpio.h"
#include "driverlib/timer.h"
#include "driverlib/pwm.h"
#include "driverlib/pin_map.h"
#include "driverlib/rom_map.h"
#include "driverlib/adc.h"
#include "driverlib/i2c.h"
#include "driverlib/uart.h"
#include "tm4c1294ncpdt.h"

/*******************************************************************************************************************************
 * 												Definicje funkcji
 ******************************************************************************************************************************/

uint32_t dat1;
volatile uint8_t key;
extern enum menu_type menu;
extern uint32_t set_temp2, current_temp;
extern uint8_t Kp;

void PortP2IntHandler(void) //Obsuga przerwania od klawiatury - numer wcinietego klawisza jako zmienna globalna
{
	GPIOIntClear(GPIO_PORTP_BASE, GPIO_PIN_2);  // Czysc flage przerwanie
	key=DecodeKey();
	UARTprintf("Wcinito klawisz: %d\n",key);
	switch(key)
	{
	case 10:
		GPIO_PORTH_AHB_DATA_R |= (1<<2);
		GPIO_PORTH_AHB_DATA_R &= ~(1<<3);
		break;
	case 11:
		GPIO_PORTH_AHB_DATA_R |= (1<<3);
		GPIO_PORTH_AHB_DATA_R &= ~(1<<2);
		break;
	case 0:
		GPIO_PORTH_AHB_DATA_R &= ~(1<<3);
		GPIO_PORTH_AHB_DATA_R &= ~(1<<2);
		break;
	case 12:
		PWMPulseWidthSet(PWM0_BASE, PWM_OUT_2, 4687);
		break;
	case 13:
		PWMPulseWidthSet(PWM0_BASE, PWM_OUT_2, 9374);
		break;
	case 14:
		PWMPulseWidthSet(PWM0_BASE, PWM_OUT_2, 14061);
		break;
	case 15:
		PWMPulseWidthSet(PWM0_BASE, PWM_OUT_2, 18748);
		break;
	}
}


void Timer0IntHandler(void)
{
	static uint8_t a=0;
	TimerIntClear(TIMER0_BASE, TIMER_TIMA_TIMEOUT);
	GPIO_PORTN_DATA_R ^= (1<<1); //Sygnalizacja pracy - miganie diod
	CurrentMeasure();
	a++;
	WriteIODisplay(a,a);
}
