/*
 * Stepper.h
 *
 *  Created on: 14 lis 2015
 *      Author: Pawe Strczyski
 */

#ifndef STEPPER_H_
#define STEPPER_H_

#include "tm4c1294ncpdt.h"


/*******************************************************************************************************************************
 * 												Definicje wyprowadze														   *
 ******************************************************************************************************************************/
#define  COIL_A GPIO_PORTE_AHB_DATA_R //Port cewki pierwszej silnika
#define  COIL_B GPIO_PORTM_DATA_R //Port cewki pierwszej silnika
#define  A1 (1<<0) //Wyprowadzenie 1 cewki A silnika
#define  A2 (1<<1) //Wyprowadzenie 2 cewki A silnika
#define  B1 (1<<4) //Wyprowadzenie 1 cewki B silnika
#define  B2 (1<<5) //Wyprowadzenie 2 cewki B silnika


/*******************************************************************************************************************************
 * 												Definicje krokw	A1 -> B1 -> A2 -> B2									   *
 ******************************************************************************************************************************/
#define STEP1 COIL_A |=A1; COIL_A &=~A2; COIL_B &=~B1; COIL_B &=~B2
#define STEP2 COIL_A &=~A1; COIL_A &=~A2; COIL_B |=B1; COIL_B &=~B2
#define STEP3 COIL_A &=~A1; COIL_A |=A2; COIL_B &=~B1; COIL_B &=~B2
#define STEP4 COIL_A &=~A1; COIL_A &=~A2; COIL_B &=~B1; COIL_B |=B2

/*******************************************************************************************************************************
 * 												Definicje typw																   *
 ******************************************************************************************************************************/
enum dir_type {left, right};

/*******************************************************************************************************************************
 * 												Deklaracje funkcji															   *
 ******************************************************************************************************************************/
extern void InitStepper(void);
void StepRight(void);
void StepLeft(void);
void SetStepper(enum dir_type direct, uint8_t speed);


#endif /* STEPPER_H_ */
