/*
 * Author: Pawe Strczyski
 * Title: Ukad regulacji temperatury z regulatorem typu P - MCP9803
 */

/*******************************************************************************************************************************
 * 								Import bibliotek standardowych oraz TivaWare Peripheral Library
 ******************************************************************************************************************************/
#include <stdint.h>
#include <stdbool.h>
#include <math.h>
#include "Init.h"
#include "MCP9803.h"
#include "Keyboard.h"
#include "Stepper.h"
#include "IntHandler.h"
#include "inc/hw_memmap.h"
#include "inc/hw_types.h"
#include "inc/hw_i2c.h"
#include "inc/hw_gpio.h"
#include "inc/hw_uart.h"
#include "inc/hw_ints.h"
#include "utils/uartstdio.h"
#include "inc/hw_nvic.h"
#include "driverlib/interrupt.h"
#include "driverlib/sysctl.h"
#include "driverlib/gpio.h"
#include "driverlib/timer.h"
#include "driverlib/pwm.h"
#include "driverlib/pin_map.h"
#include "driverlib/rom_map.h"
#include "driverlib/rom.h"
#include "driverlib/adc.h"
#include "driverlib/i2c.h"
#include "driverlib/uart.h"
#include "tm4c1294ncpdt.h"
#include "driverlib/fpu.h"

#include "Display.h"
#include "ST7735.h"

/******************************************************************************************************************************
* 												Zmienne globalne
******************************************************************************************************************************/
uint8_t set_temp=32;
uint32_t set_temp2=32, current_temp=40;
int32_t e,u,a,b;  //zmienne przechowujce stan temperatury
uint32_t Kp=1;
extern volatile uint8_t key;



/*******************************************************************************************************************************
 * 												Pomiar prdu silnika
 ******************************************************************************************************************************/
void CurrentMeasure(void) //Pomiar z przetwornika ADC
{
	uint32_t current[1];
	ADCIntClear(ADC0_BASE, 1); //Czyszczenie flagi przerwania od ADC
	ADCProcessorTrigger(ADC0_BASE, 1); //Wyzwolenie pomiaru ADC
	while(!ADCIntStatus(ADC0_BASE, 1, false)) {}; //Oczekiwanie na zakoczenie pomiaru
	ADCSequenceDataGet(ADC0_BASE, 1, current); //Przepisanie wartoci pomiarw do tablicy
	UARTprintf("Prd silnika:%d\n",current[0]);
}

/*******************************************************************************************************************************
 * 												Gowna funkcja programu
 ******************************************************************************************************************************/


int main(void)
{
	InitModule(); //Inicjalizacja moduw peryferyjnych
	SysCtlPeripheralEnable(SYSCTL_PERIPH_GPION);
	TimerDisable(TIMER0_BASE, TIMER_A);
	GPIOPinTypeGPIOOutput(GPIO_PORTN_BASE, GPIO_PIN_0|GPIO_PIN_1);
	SetIdleState();
	TimerEnable(TIMER0_BASE, TIMER_A);
	GPIO_PORTH_AHB_DATA_R &= ~(1<<2);
	GPIO_PORTH_AHB_DATA_R &= ~(1<<3);
	while(1)
	{
	}
}




