/*
 * Funkcje obsugi przerwa
 *
 *  Created on: 11 lis 2015
 *      Author: Pawe
 */
/*******************************************************************************************************************************
 * 								Import bibliotek standardowych oraz TivaWare Peripheral Library
 ******************************************************************************************************************************/
#include <stdint.h>
#include <stdbool.h>
#include <math.h>
#include "Init.h"
#include "MCP9803.h"
#include "Keyboard.h"
#include "inc/hw_memmap.h"
#include "inc/hw_types.h"
#include "inc/hw_i2c.h"
#include "inc/hw_gpio.h"
#include "inc/hw_uart.h"
#include "inc/hw_ints.h"
#include "utils/uartstdio.h"
#include "inc/hw_nvic.h"
#include "driverlib/interrupt.h"
#include "driverlib/sysctl.h"
#include "driverlib/gpio.h"
#include "driverlib/timer.h"
#include "driverlib/pwm.h"
#include "driverlib/pin_map.h"
#include "driverlib/rom_map.h"
#include "driverlib/adc.h"
#include "driverlib/i2c.h"
#include "driverlib/uart.h"
#include "tm4c1294ncpdt.h"
#include "TFT_Menu.h"

/*******************************************************************************************************************************
 * 												Definicje funkcji
 ******************************************************************************************************************************/

uint32_t dat1;
extern enum menu_type menu;
extern uint32_t set_temp2, current_temp;
extern uint8_t Kp;

void PortP2IntHandler(void) //Obsuga przerwania od klawiatury - numer wcinietego klawisza jako zmienna globalna
{
	GPIOIntClear(GPIO_PORTP_BASE, GPIO_PIN_2);  // Czysc flage przerwanie
	UARTprintf("Wcinito klawisz: %d\n",DecodeKey());
}

void PortJIntHandler(void) //Obsuga przerwania od przyciskw uytkownika
{
	GPIOIntClear(GPIO_PORTJ_BASE, GPIO_PIN_0);  // Czysc flage przerwania
	GPIOIntClear(GPIO_PORTJ_BASE, GPIO_PIN_1);  // Czysc flage przerwania
	if (!(GPIO_PORTJ_AHB_DATA_R & (1<<0))) ChangeMenuPosition();
	if (!(GPIO_PORTJ_AHB_DATA_R & (1<<1)))
	{
		if (menu==temp)
		{
			if (set_temp2<60) set_temp2++;
			else set_temp2=20;
			UpdateSetValue();
		}
		else
		{
			if (Kp<9) Kp++;
			else Kp=1;
			UpdateSetValue();
		}


	}
}

void Timer0IntHandler(void)
{
	TimerIntClear(TIMER0_BASE, TIMER_TIMA_TIMEOUT);
	GPIO_PORTN_DATA_R ^= (1<<1); //Sygnalizacja pracy - miganie diod5
	UpdateCurrentValue(); //Aktualizacja danych na wyswietlaczu
}
