/*
 *  Funkcje do obsugi czujnika temperatury MCP9803
 *
 *  Created on: 8 lis 2015
 *      Author: Pawe
 */

/*******************************************************************************************************************************
 * 								Import bibliotek standardowych oraz TivaWare Peripheral Library
 ******************************************************************************************************************************/
#include <stdint.h>
#include <stdbool.h>
#include <math.h>
#include "Init.h"
#include "MCP9803.h"
#include "inc/hw_memmap.h"
#include "inc/hw_types.h"
#include "inc/hw_i2c.h"
#include "driverlib/sysctl.h"
#include "driverlib/pin_map.h"
#include "driverlib/rom_map.h"
#include "driverlib/i2c.h"

/*******************************************************************************************************************************
 * 												Definicje funkcji
 ******************************************************************************************************************************/


uint32_t McpReadTemp(void)
{
	I2CMasterSlaveAddrSet(I2C0_BASE, mcp_i2c_adrr, false); //Ustawienie adresu czujnika
	I2CMasterDataPut(I2C0_BASE, mcp_temp_reg); //Wskanik na rejestr przechowujcy temperatur
	I2CMasterControl(I2C0_BASE,  I2C_MASTER_CMD_SINGLE_SEND); //Inicjalizacja przesyania danej
	while(I2CMasterBusBusy(I2C0_BASE)) {}; //Oczekiwanie na przesanie
	I2CMasterSlaveAddrSet(I2C0_BASE, mcp_i2c_adrr, true); //Ustawienie adresu czujnika
	I2CMasterControl(I2C0_BASE, I2C_MASTER_CMD_SINGLE_RECEIVE); //Odczyt rejestru
	while(I2CMasterBusBusy(I2C0_BASE)) {}; //Oczekiwanie na koniec przesyania

	return I2CMasterDataGet(I2C0_BASE); //Zwrcenie przez funckj wawrtoci temperatury
}

