/*
 * Obsuga silnika krokowego unipolarnego
 *
 *  Created on: 14 lis 2015
 *      Author: Pawe Strczyski
 *
 */

/*******************************************************************************************************************************
 * 								Import bibliotek standardowych oraz TivaWare Peripheral Library								   *
 ******************************************************************************************************************************/
#include <stdint.h>
#include <stdbool.h>
#include "inc/hw_memmap.h"
#include "inc/hw_types.h"
#include "inc/hw_i2c.h"
#include "inc/hw_gpio.h"
#include "inc/hw_uart.h"
#include "inc/hw_ints.h"
#include "inc/hw_nvic.h"
#include "driverlib/interrupt.h"
#include "driverlib/sysctl.h"
#include "driverlib/gpio.h"
#include "driverlib/timer.h"
#include "driverlib/pwm.h"
#include "driverlib/pin_map.h"
#include "driverlib/rom_map.h"
#include "tm4c1294ncpdt.h"
#include "Stepper.h"

/******************************************************************************************************************************
* 												Zmienne globalne															  *
******************************************************************************************************************************/
enum dir_type dir =left;
extern uint32_t set_temp;


/*******************************************************************************************************************************
 * 												Definicje funkcji															   *
 ******************************************************************************************************************************/
void InitStepper(void)
{
	//Konfiguracja wyj sterujcych driverem silnika krokowego
	SysCtlPeripheralEnable(SYSCTL_PERIPH_GPIOE); //Wlaczenie portu E
	SysCtlPeripheralEnable(SYSCTL_PERIPH_GPIOM); //Wlaczenie portu M
	GPIOPinTypeGPIOOutput(GPIO_PORTE_BASE, GPIO_PIN_0 | GPIO_PIN_1); //PE0 i PE1 jako wyjcia
	GPIOPinTypeGPIOOutput(GPIO_PORTM_BASE, GPIO_PIN_4 | GPIO_PIN_5); //PM4 i PM5 jako wyjcie

	//Konifiguracja Timera 1 licznik A
	SysCtlPeripheralEnable(SYSCTL_PERIPH_TIMER1); //Wczenie zegara dla moduu TIMER1
	TimerConfigure(TIMER1_BASE, TIMER_CFG_PERIODIC); //Konfiguracja timera1 w tryb Full-width periodic timer
	TimerLoadSet(TIMER1_BASE, TIMER_A, ((SysCtlClockGet()/2)-1)/4); //Zaadowanie maksymalnej wartoci do timera
	IntEnable(INT_TIMER1A); //Uruchomienie przerwania od TIMER1A
	TimerIntEnable(TIMER1_BASE,TIMER_TIMA_TIMEOUT); //Wczenie indywidualnego rda przerwania od timera
	IntMasterEnable(); //Wczenie systemu przerwa
	TimerEnable(TIMER1_BASE, TIMER_A); //Uruchomienie licznika 1A
}

void SetStepper(enum dir_type direct, uint8_t speed)
{
	TimerLoadSet(TIMER1_BASE, TIMER_A, ((SysCtlClockGet()/2)-1)/speed);
	dir = direct;

}

void StepperMotorHandler(void)
{
	TimerIntClear(TIMER1_BASE, TIMER_TIMA_TIMEOUT);
	if (dir==left) StepLeft();
	else StepRight();
}

void StepRight(void)
{
	static uint8_t step;
	switch (step)
	{
	case 4:
		STEP1;
		break;
	case 1:
		STEP2;
		break;
	case 2:
		STEP3;
		break;
	case 3:
		STEP4;
		break;
	}
	if (++step >4) step=1;
	set_temp=step;
}

void StepLeft(void)
{
	static uint8_t step;
	switch (step)
	{
	case 4:
		STEP4;
		break;
	case 1:
		STEP3;
		break;
	case 2:
		STEP2;
		break;
	case 3:
		STEP1;
		break;
	}
	if (++step >4) step=1;
	set_temp=step;

}



