/*
 * Funkcje do obsugi menu na wywietlaczu TFT
 *
 *  Created on: 20 lis 2015
 *      Author: Pawe Strczyski
 */

#include "ST7735.h"
#include "TFT_Menu.h"
#include <stdio.h>

extern uint32_t set_temp2, current_temp;
extern uint8_t Kp;

enum menu_type menu=temp;


void DrawWelcome(void)
{
		char buff[10];

	 	ST7735_FillScreen(ST7735_BLACK);  // Ustaw czarne tlo ekranu
		ST7735_SetRotation(0);			//Ustaw obrot ekranu na 0
		ST7735_InitR(INITR_REDTAB);

		ST7735_DrawCharS(0, 24, 'R', ST7735_Color565(255, 0, 0), 0, 2);
		ST7735_DrawCharS(12, 24, 'e', ST7735_Color565(255, 128, 0), 0, 2);
		ST7735_DrawCharS(24, 24, 'g', ST7735_Color565(255, 255, 0), 0, 2);
		ST7735_DrawCharS(36, 24, 'u', ST7735_Color565(128, 255, 0), 0, 2);
		ST7735_DrawCharS(48, 24, 'l', ST7735_Color565(0, 255, 255), 0, 2);
		ST7735_DrawCharS(60, 24, 'a', ST7735_Color565(0, 0, 255), 0, 2); //
		ST7735_DrawCharS(72, 24, 't', ST7735_Color565(128, 0, 255), 0, 2);
		ST7735_DrawCharS(84, 24, 'o', ST7735_Color565(128, 0, 255), 0, 2);
		ST7735_DrawCharS(96, 24, 'r', ST7735_Color565(128, 0, 255), 0, 2);

		ST7735_DrawCharS(0, 48, 'T', ST7735_Color565(255, 0, 0), 0, 4);
		ST7735_DrawCharS(24, 48, 'E', ST7735_Color565(255, 128, 0), 0, 4);
		ST7735_DrawCharS(48, 48, 'M', ST7735_Color565(255, 255, 0), 0, 4);
		ST7735_DrawCharS(72, 48, 'P', ST7735_Color565(128, 255, 0), 0, 4);

		DelayMs(1000); //Czekaj 1s

		ST7735_DrawCharS(0, 80, 'T', ST7735_Color565(0, 0, 255), 0, 6);
		ST7735_DrawCharS(36, 80, 'i', ST7735_Color565(0, 0, 255), 0, 6);
		ST7735_DrawCharS(72, 80, 'v', ST7735_Color565(0, 0, 255), 0, 6);
		ST7735_DrawCharS(108, 80, 'a', ST7735_Color565(0, 0, 255), 0, 6);
		ST7735_DrawCharS(150, 80, 'C', ST7735_Color565(128, 45, 255), 0, 6);

		DelayMs(1000); //Czekaj 1s

		ST7735_DrawString(2,14, "Prosze czekac...", ST7735_YELLOW,0);

		DelayMs(2000); //Czekaj 1s

		ST7735_FillScreen(ST7735_BLACK);

		ST7735_DrawCharS(0, 5, 'R', ST7735_Color565(255, 0, 0), 0, 2);
		ST7735_DrawCharS(12, 5, 'e', ST7735_Color565(255, 128, 0), 0, 2);
		ST7735_DrawCharS(24, 5, 'g', ST7735_Color565(255, 255, 0), 0, 2);
		ST7735_DrawCharS(36, 5, 'u', ST7735_Color565(128, 255, 0), 0, 2);
		ST7735_DrawCharS(48, 5, 'l', ST7735_Color565(0, 255, 255), 0, 2);
		ST7735_DrawCharS(60, 5, 'a', ST7735_Color565(0, 0, 255), 0, 2); //
		ST7735_DrawCharS(72, 5, 't', ST7735_Color565(128, 0, 255), 0, 2);
		ST7735_DrawCharS(84, 5, 'o', ST7735_Color565(128, 0, 255), 0, 2);
		ST7735_DrawCharS(96, 5, 'r', ST7735_Color565(128, 0, 255), 0, 2);

		ST7735_DrawCharS(0, 25, 'T', ST7735_Color565(255, 255, 0), 0, 4);
		ST7735_DrawCharS(24, 25, 'E', ST7735_Color565(255, 255, 0), 0, 4);
		ST7735_DrawCharS(48, 25, 'M', ST7735_Color565(255, 255, 0), 0, 4);
		ST7735_DrawCharS(72, 25, 'P', ST7735_Color565(255, 255, 0), 0, 4);


		ST7735_DrawString(8,7, "MENU", 0x4191,0);
		ST7735_FillRect(1,80, 128, 20, 0x153F);
		ST7735_DrawString(1,8, "Nastawa temperatury", 0xFFFF,0x0099);
		ST7735_DrawString(1,9, "Nastawa Kp", 0x0000,0x153F);

		ST7735_DrawString(1,12, "A Temp:", 0xFFFF,0);
		ST7735_DrawString(1,13, "N Temp:", 0xFFFF,0);
		ST7735_DrawString(1,14, "N Kp:", 0xFFFF,0);

		sprintf(buff,"%d C",current_temp);
		ST7735_DrawString(8,12, buff, 0xFFFF,0);
		sprintf(buff,"%d C",set_temp2);
		ST7735_DrawString(8,13, buff, 0xFFFF,0);
		sprintf(buff,"%d",Kp);
		ST7735_DrawString(8,14, buff, 0xFFFF,0);

}

void ChangeMenuPosition(void)
{
	if (menu==temp)
	{
		menu=kp;
		ST7735_DrawString(1,8, "Nastawa temperatury", 0x0000,0x153F);
		ST7735_DrawString(1,9, "Nastawa Kp", 0xFFFF,0x0099);
	}
	else
	{
		menu=temp;
		ST7735_DrawString(1,8, "Nastawa temperatury", 0xFFFF,0x0099);
		ST7735_DrawString(1,9, "Nastawa Kp", 0x0000,0x153F);
	}

}

void UpdateSetValue(void)
{
	char buff[10];

	sprintf(buff,"%d C",set_temp2);
	ST7735_DrawString(8,13, buff, 0xFFFF,0);
	sprintf(buff,"%d",Kp);
	ST7735_DrawString(8,14, buff, 0xFFFF,0);
}

void UpdateCurrentValue(void)
{
	char buff[10];

	sprintf(buff,"%d C",current_temp);
	ST7735_DrawString(8,12, buff, 0xFFFF,0);
}
