/*
 * Author: Pawe Strczyski
 * Title: Ukad regulacji temperatury z regulatorem typu P - MCP9803
 */

/*******************************************************************************************************************************
 * 								Import bibliotek standardowych oraz TivaWare Peripheral Library
 ******************************************************************************************************************************/
#include <stdint.h>
#include <stdbool.h>
#include <math.h>
#include "Init.h"
#include "MCP9803.h"
#include "Keyboard.h"
#include "Stepper.h"
#include "IntHandler.h"
#include "inc/hw_memmap.h"
#include "inc/hw_types.h"
#include "inc/hw_i2c.h"
#include "inc/hw_gpio.h"
#include "inc/hw_uart.h"
#include "inc/hw_ints.h"
#include "utils/uartstdio.h"
#include "inc/hw_nvic.h"
#include "driverlib/interrupt.h"
#include "driverlib/sysctl.h"
#include "driverlib/gpio.h"
#include "driverlib/timer.h"
#include "driverlib/pwm.h"
#include "driverlib/pin_map.h"
#include "driverlib/rom_map.h"
#include "driverlib/rom.h"
#include "driverlib/adc.h"
#include "driverlib/i2c.h"
#include "driverlib/uart.h"
#include "tm4c1294ncpdt.h"
#include "driverlib/fpu.h"

#include "Display.h"
#include "ST7735.h"

/******************************************************************************************************************************
* 												Zmienne globalne
******************************************************************************************************************************/
uint32_t set_temp=32;
uint32_t set_temp2=32, current_temp=40;
int32_t e,u,a,b;  //zmienne przechowujce stan temperatury
uint32_t Kp=1;

/*******************************************************************************************************************************
 * 												Gowna funkcja programu
 ******************************************************************************************************************************/


int main(void)
{
	InitModule(); //Inicjalizacja moduw peryferyjnych
	SysCtlPeripheralEnable(SYSCTL_PERIPH_GPION);
	TimerDisable(TIMER0_BASE, TIMER_A);
	GPIOPinTypeGPIOOutput(GPIO_PORTN_BASE, GPIO_PIN_0|GPIO_PIN_1);
	InitSSI2();
	InitTFT();
	DrawWelcome();
	TimerEnable(TIMER0_BASE, TIMER_A);
	while(1)
	{
		current_temp=McpReadTemp();//pow(2,-4); //Odczyt temepratury z czujnika
		e=current_temp-set_temp2; //Obliczenie uchybu regulacji
		u=e*1000*Kp; //Obliczenie wartosci sterujcej

		if (e>0) //Jeeli temperatura aktualna wieksza od zadanej to wy grzanie i prdko wentylatora proporcjonalnie do uchybu
		{
			PWMPulseWidthSet(PWM0_BASE, PWM_OUT_3, u); //Ustaw PWM wentylatora
			PWMPulseWidthSet(PWM0_BASE, PWM_OUT_4, 1); //Ustaw PWM grzejnika
		}
		else //Jeeli temperatura aktualna nisza od zadanej to wy wentylator i moc grzania proporcjonalnie do uchybu
		{
			PWMPulseWidthSet(PWM0_BASE, PWM_OUT_3, 1); //Ustaw PWM wentylatora
			PWMPulseWidthSet(PWM0_BASE, PWM_OUT_4, -u); //Ustaw PWM grzejnika
		}
	}
}




